Create Dashboard Widget

Create Dashboard Widget

POST https://api.ocamba.com/v2/adex/dashboard-widgets
Creates a widget you can later add to a dashboard.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Request schema

body

Response schemas

curl -X POST \
 "https://api.ocamba.com/v2/adex/dashboard-widgets" \
  -H "Authorization: Bearer {TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Top browsers",
  "description": "Adex top 5 browsers",
  "type": "table",
  "conf": {},
  "ds": {
    "source": "adex.publisher",
    "fields": "browser_name,click",
    "limit": "5"
  }
}'
const url = 'https://api.ocamba.com/v2/adex/dashboard-widgets';
const options = {
  method: 'POST',
  headers: {
    Authorization: "Bearer {TOKEN}",
    'Content-Type': "application/json"
  },
  body: JSON.stringify(
    {
      "name": "Top browsers",
      "description": "Adex top 5 browsers",
      "type": "table",
      "conf": {},
      "ds": {
        "source": "adex.publisher",
        "fields": "browser_name,click",
        "limit": "5"
      }
    }
  )
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v2/adex/dashboard-widgets");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}",
  "Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(
  [
    "name" => "Top browsers",
    "description" => "Adex top 5 browsers",
    "type" => "table",
    "conf" => [],
    "ds" => [
      "source" => "adex.publisher",
      "fields" => "browser_name,click",
      "limit" => "5"
    ]
  ]
));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

201 Created

{
  "id": "15",
  "company_id": "200",
  "name": "Top browsers",
  "description": "Adex top 5 browsers",
  "system": 0,
  "type": "table",
  "conf": {},
  "ds": {
    "source": "adex.publisher",
    "fields": "browser_name,click",
    "limit": "5"
  },
  "create_time": "2026-03-20 14:00:00",
  "update_time": "2026-03-20 14:00:00"
}

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses